# Author: Morrison
#  Date created: 31 Mar 2022
#  Date last modified: 31 Mar 2022
#  Program: Driver.py
# 
import math
class Point:
    def __init__(self, x = 0, y = 0):
        self.x = x
        self.y = y
    def __str__(self):
        return f"({self.x}, {self.y})"
    def __eq__(self, other):
        return False
    def reflection_across_X(self):
        return Point(self.x, -self.y)
    def distance_to(self, other):
        return math.hypot(self.x - other.x, self.y - other.y)
